#pragma once
#include "CS_Fish.h"
#define CS_ENEMY_BLUEFISH_CREATENAME L"CS_enemy_bluefish"
//敌人：蓝鱼
class CS_Enemy_Bluefish :
    public CS_Fish
{
public:
    CS_Enemy_Bluefish();
    void SetState(int stateID, int lr) override;
    void HurtAnimate() override;
    void AnimateSpeedStep() override;
    void SwimStep() override;
    int swimModeChangeCounter = 0;//游泳模式改变计时器
};

std::shared_ptr<Entity> CreateCS_Enemy_Bluefish();